using System;
using System.ComponentModel;

namespace TeslaConsole;

public class InstallProductCompletedEventArgs : AsyncCompletedEventArgs
{
	private string mUncPath;

	public string UncPath
	{
		get
		{
			RaiseExceptionIfNecessary();
			return mUncPath;
		}
	}

	public InstallProductCompletedEventArgs(string uncPath, Exception e, bool canceled, object state)
		: base(e, canceled, state)
	{
		mUncPath = uncPath;
	}
}
